Bug 1346639 - Dependency missing in non-x86_64 client tools repos: python-simplejson
Summary: Dependency missing in non-x86_64 client tools repos: python-simplejson
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 06:54 UTC by Lukas Zapletal
Modified: 2019-09-25 20:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:05:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Zapletal 2016-06-15 06:54:19 UTC
Several non-x86-64 repositories are missing this dependency which makes katello-agent, puppet or goferd uninstallable. These are affected composes:

$ grep python-simplejson latest-SatTools-6.2-RHEL-*/logs/*/repoclosure-Server.*.log
latest-SatTools-6.2-RHEL-7/logs/aarch64/repoclosure-Server.aarch64.log:     python-simplejson
latest-SatTools-6.2-RHEL-7/logs/ppc64le/repoclosure-Server.ppc64le.log:     python-simplejson
latest-SatTools-6.2-RHEL-7/logs/ppc64/repoclosure-Server.ppc64.log:     python-simplejson
latest-SatTools-6.2-RHEL-7/logs/s390x/repoclosure-Server.s390x.log:     python-simplejson

Comment 5 Eric Helms 2016-06-27 13:14:55 UTC
The python-simplejson package shouldn't exist on non-x86_64 architectures, it was erroneously being included in the sattools repositories. To verify, this should be in the Satellite and Capsule repositories only.

Comment 6 Corey Welton 2016-06-27 21:15:00 UTC
Verified this against SNAP 17 repo trees.  This only exists in the satellite and capsule repos - it does not exist in the tools repos, including those repo trees for s390x and ppc64.

Comment 7 Bryan Kearney 2016-07-27 11:05:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.